## r-cran-plotly 4.7.1+dfsg

=== DESCRIPTION ===
Package: plotly
Title: Create Interactive Web Graphics via 'plotly.js'
Version: 4.7.1
Authors@R: c(person("Carson", "Sievert", role = c("aut", "cre"),
    email = "cpsievert1@gmail.com"),
    person("Chris", "Parmer", role = "aut",
    email = "chris@plot.ly"),
    person("Toby", "Hocking", role = "aut",
    email = "tdhock5@gmail.com"),
    person("Scott", "Chamberlain", role = "aut",
    email = "myrmecocystus@gmail.com"),
    person("Karthik", "Ram", role = "aut",
    email = "karthik.ram@gmail.com"),
    person("Marianne", "Corvellec", role = "aut",
    email = "marianne@plot.ly"),
    person("Pedro", "Despouy", role = "aut",
    email = "pedro@plot.ly"),
    person("Plotly Technologies Inc.", role = "cph"))
License: MIT + file LICENSE
Description: Easily translate 'ggplot2' graphs to an interactive web-based version and/or create custom web-based visualizations directly from R. Once uploaded to a 'plotly' account, 'plotly' graphs (and the data behind them) can be viewed and modified in a web browser.
URL: https://plot.ly/r, https://cpsievert.github.io/plotly_book/,
        https://github.com/ropensci/plotly
BugReports: https://github.com/ropensci/plotly/issues
Depends: R (>= 3.2.0), ggplot2 (>= 2.2.1)
Imports: tools, scales, httr, jsonlite, magrittr, digest, viridisLite,
        base64enc, htmltools, htmlwidgets (>= 0.9), tidyr, hexbin,
        RColorBrewer, dplyr, tibble, lazyeval (>= 0.2.0), crosstalk,
        purrr, data.table
Suggests: MASS, maps, ggthemes, GGally, testthat, knitr, devtools,
        shiny (>= 0.14), curl, rmarkdown, Rserve, RSclient, Cairo,
        broom, webshot, listviewer, dendextend, sf, RSelenium, png,
        IRdisplay
LazyData: true
RoxygenNote: 6.0.1
NeedsCompilation: no
Packaged: 2017-07-28 15:49:30 UTC; cpsievert
Author: Carson Sievert [aut, cre],
  Chris Parmer [aut],
  Toby Hocking [aut],
  Scott Chamberlain [aut],
  Karthik Ram [aut],
  Marianne Corvellec [aut],
  Pedro Despouy [aut],
  Plotly Technologies Inc. [cph]
Maintainer: Carson Sievert <cpsievert1@gmail.com>
Repository: CRAN
Date/Publication: 2017-07-29 05:16:25 UTC

=== inst/examples/shiny/event_data/DESCRIPTION ===
Title: Passing plotly selections to shiny via crosstalk
Author: Plotly, Inc.
AuthorUrl: https://plot.ly/r/
License: MIT
DisplayMode: Showcase
Tags: plotly, crosstalk, shiny
Type: Shiny

=== debian/changelog ===
r-cran-plotly (4.7.1+dfsg-1) unstable; urgency=medium

  * Initial release (closes: #887434)

 -- Andreas Tille <tille@debian.org>  Tue, 16 Jan 2018 14:47:09 +0100

=== debian/control ===
Source: r-cran-plotly
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Andreas Tille <tille@debian.org>
Section: gnu-r
Priority: optional
Build-Depends: debhelper (>= 11),
               dh-r,
               r-base-dev,
               r-cran-ggplot2 (>= 2.2.1),
               r-cran-scales,
               r-cran-httr,
               r-cran-jsonlite,
               r-cran-magrittr,
               r-cran-digest,
               r-cran-viridislite,
               r-cran-base64enc,
               r-cran-htmltools,
               r-cran-htmlwidgets (>= 0.9),
               r-cran-tidyr,
               r-cran-hexbin,
               r-cran-rcolorbrewer,
               r-cran-dplyr,
               r-cran-tibble,
               r-cran-lazyeval,
               r-cran-purrr,
               r-cran-data.table,
               r-cran-crosstalk
Standards-Version: 4.1.3
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-plotly.git
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-plotly.git
Homepage: https://cran.r-project.org/package=plotly

Package: r-cran-plotly
Architecture: all
Depends: ${R:Depends},
         r-cran-shinyjs,
         ${shlibs:Depends},
         ${misc:Depends},
         libjs-jquery-selectize.js
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: create interactive web graphics via 'plotly.js' in GNU R
 Easily translate 'ggplot2' graphs to an interactive web-based version
 and/or create custom web-based visualizations directly from R. Once
 uploaded to a 'plotly' account, 'plotly' graphs (and the data behind
 them) can be viewed and modified in a web browser.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/default.mk

debRreposname   := $(shell echo $(DEB_SOURCE) | sed 's/r-\([a-z]\+\)-.*/\1/')
awkString       := "'/^(Package|Bundle):/ {print $$2 }'"
cranNameOrig    := $(shell awk "$(awkString)" DESCRIPTION)
cranName        := $(shell echo "$(cranNameOrig)" | tr A-Z a-z)
package         := r-$(debRreposname)-$(cranName)
debRdir         := usr/lib/R/site-library

%:
	dh $@ --buildsystem R

override_dh_install:
	dh_install
	cp -a debian/JS/plotly/plotly.min.js debian/$(DEB_SOURCE)/$(debRdir)/$(cranNameOrig)/htmlwidgets/lib/plotlyjs/plotly-latest.min.js

## r-cran-plotly 4.8.0+dfsg

=== DESCRIPTION ===
Package: plotly
Title: Create Interactive Web Graphics via 'plotly.js'
Version: 4.8.0
Authors@R: c(person("Carson", "Sievert", role = c("aut", "cre"),
    email = "cpsievert1@gmail.com", comment = c(ORCID = "0000-0002-4958-2844")),
    person("Chris", "Parmer", role = "aut",
    email = "chris@plot.ly"),
    person("Toby", "Hocking", role = "aut",
    email = "tdhock5@gmail.com"),
    person("Scott", "Chamberlain", role = "aut",
    email = "myrmecocystus@gmail.com"),
    person("Karthik", "Ram", role = "aut",
    email = "karthik.ram@gmail.com"),
    person("Marianne", "Corvellec", role = "aut",
    email = "marianne@plot.ly"),
    person("Pedro", "Despouy", role = "aut",
    email = "pedro@plot.ly"),
    person("Plotly Technologies Inc.", role = "cph"))
License: MIT + file LICENSE
Description: Easily translate 'ggplot2' graphs to an interactive web-based version and/or create custom web-based visualizations directly from R. Once uploaded to a 'plotly' account, 'plotly' graphs (and the data behind them) can be viewed and modified in a web browser.
URL: https://plot.ly/r, https://cpsievert.github.io/plotly_book/,
        https://github.com/ropensci/plotly#readme
BugReports: https://github.com/ropensci/plotly/issues
Depends: R (>= 3.2.0), ggplot2 (>= 3.0.0)
Imports: tools, scales, httr, jsonlite, magrittr, digest, viridisLite,
        base64enc, htmltools, htmlwidgets (>= 1.2), tidyr, hexbin,
        RColorBrewer, dplyr, tibble, lazyeval (>= 0.2.0), rlang,
        crosstalk, purrr, data.table, promises
Suggests: MASS, maps, ggthemes, GGally, testthat, knitr, devtools,
        shiny (>= 1.1.0), curl, rmarkdown, Rserve, RSclient, Cairo,
        broom, webshot, listviewer, dendextend, sf, maptools, rgeos,
        png, IRdisplay, processx, plotlyGeoAssets, forcats
LazyData: true
RoxygenNote: 6.0.1.9000
Encoding: UTF-8
NeedsCompilation: no
Packaged: 2018-07-20 16:25:19 UTC; cpsievert
Author: Carson Sievert [aut, cre] (<https://orcid.org/0000-0002-4958-2844>),
  Chris Parmer [aut],
  Toby Hocking [aut],
  Scott Chamberlain [aut],
  Karthik Ram [aut],
  Marianne Corvellec [aut],
  Pedro Despouy [aut],
  Plotly Technologies Inc. [cph]
Maintainer: Carson Sievert <cpsievert1@gmail.com>
Repository: CRAN
Date/Publication: 2018-07-20 17:30:17 UTC

=== debian/changelog ===
r-cran-plotly (4.8.0+dfsg-2~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.

 -- Andreas Tille <tille@debian.org>  Tue, 07 May 2019 12:04:57 +0200

r-cran-plotly (4.8.0+dfsg-2) unstable; urgency=medium

  * colourpicker.min.{js,css} is now provided by r-cran-colourpicker
    Closes: #909618
  * Standards-Version: 4.2.1

 -- Andreas Tille <tille@debian.org>  Wed, 26 Sep 2018 07:45:16 +0200

r-cran-plotly (4.8.0+dfsg-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.1.5
  * Remove autogenerated HTML docs since it is including compressed JS
  * Update lintian overrides for false positives

 -- Andreas Tille <tille@debian.org>  Thu, 26 Jul 2018 09:54:15 +0200

r-cran-plotly (4.7.1+dfsg-3) unstable; urgency=medium

  * Rebuild for R 3.5 transition

 -- Andreas Tille <tille@debian.org>  Tue, 05 Jun 2018 19:26:00 +0200

r-cran-plotly (4.7.1+dfsg-2) unstable; urgency=medium

  * dh-update-R
  * cme fix dpkg-control
  * use variables defined in /usr/share/dh/r-cran.mk

 -- Andreas Tille <tille@debian.org>  Sun, 27 May 2018 15:50:14 +0200

r-cran-plotly (4.7.1+dfsg-1~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.
  * Build-Depends: debhelper (>= 11~)

 -- Andreas Tille <tille@debian.org>  Thu, 01 Feb 2018 09:42:41 +0100

=== debian/control ===
Source: r-cran-plotly
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Andreas Tille <tille@debian.org>
Section: gnu-r
Priority: optional
Build-Depends: debhelper (>= 11~),
               dh-r,
               dh-r (>= 20180527),
               r-base-dev,
               r-cran-ggplot2 (>= 3.0.0),
               r-cran-scales,
               r-cran-httr,
               r-cran-jsonlite,
               r-cran-magrittr,
               r-cran-digest,
               r-cran-viridislite,
               r-cran-base64enc,
               r-cran-htmltools,
               r-cran-htmlwidgets (>= 1.2),
               r-cran-tidyr,
               r-cran-hexbin,
               r-cran-rcolorbrewer,
               r-cran-dplyr,
               r-cran-tibble,
               r-cran-lazyeval,
               r-cran-rlang,
               r-cran-crosstalk,
               r-cran-purrr,
               r-cran-data.table,
               r-cran-promises
Standards-Version: 4.2.1
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-plotly
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-plotly.git
Homepage: https://cran.r-project.org/package=plotly

Package: r-cran-plotly
Architecture: all
Depends: ${R:Depends},
         ${misc:Depends},
         libjs-jquery-selectize.js,
         r-cran-colourpicker
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: create interactive web graphics via 'plotly.js' in GNU R
 Easily translate 'ggplot2' graphs to an interactive web-based version
 and/or create custom web-based visualizations directly from R. Once
 uploaded to a 'plotly' account, 'plotly' graphs (and the data behind
 them) can be viewed and modified in a web browser.

## r-cran-plotly 4.9.0+dfsg

=== debian/changelog ===
r-cran-plotly (4.9.0+dfsg-2) unstable; urgency=medium

  [ Frédéric-Emmanuel Picca ]
  * Fix installation of JS

  [ Andreas Tille ]
  * debhelper-compat 12
  * Set upstream metadata fields: Contact, Name.

 -- Andreas Tille <tille@debian.org>  Wed, 07 Aug 2019 12:51:21 +0200

r-cran-plotly (4.9.0+dfsg-1) unstable; urgency=medium

  * New upstream version
  * debhelper 12
  * Standards-Version: 4.4.0

 -- Andreas Tille <tille@debian.org>  Fri, 12 Jul 2019 13:20:19 +0200

r-cran-plotly (4.8.0+dfsg-3) unstable; urgency=medium

  * Test-Depends: r-cran-rsclient, r-cran-sf, r-cran-maps, r-cran-png
  * Test-Depends: r-cran-ggthemes (available in new queue)
  * Standards-Version: 4.3.0

 -- Andreas Tille <tille@debian.org>  Tue, 07 May 2019 16:07:08 +0200

=== debian/control ===
--- 
+++ 
@@ -3,20 +3,19 @@
 Uploaders: Andreas Tille <tille@debian.org>
 Section: gnu-r
 Priority: optional
-Build-Depends: debhelper (>= 11~),
-               dh-r,
+Build-Depends: debhelper-compat (= 12),
                dh-r (>= 20180527),
                r-base-dev,
                r-cran-ggplot2 (>= 3.0.0),
                r-cran-scales,
                r-cran-httr,
-               r-cran-jsonlite,
+               r-cran-jsonlite (>= 1.6),
                r-cran-magrittr,
                r-cran-digest,
                r-cran-viridislite,
                r-cran-base64enc,
-               r-cran-htmltools,
-               r-cran-htmlwidgets (>= 1.2),
+               r-cran-htmltools (>= 0.3.6),
+               r-cran-htmlwidgets (>= 1.3),
                r-cran-tidyr,
                r-cran-hexbin,
                r-cran-rcolorbrewer,
@@ -28,7 +27,7 @@
                r-cran-purrr,
                r-cran-data.table,
                r-cran-promises
-Standards-Version: 4.2.1
+Standards-Version: 4.4.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-plotly
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-plotly.git
 Homepage: https://cran.r-project.org/package=plotly

## r-cran-plotly 4.9.1+dfsg

=== debian/changelog ===
r-cran-plotly (4.9.1+dfsg-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.4.1
  * autopkgtest: s/ADTTMP/AUTOPKGTEST_TMP/g
  * Set upstream metadata fields: Archive, Bug-Database, Repository.
  * Remove obsolete fields Name, Contact from debian/upstream/metadata.

 -- Andreas Tille <tille@debian.org>  Tue, 12 Nov 2019 12:11:45 +0100

=== debian/control ===
--- 
+++ 
@@ -27,7 +27,7 @@
                r-cran-purrr,
                r-cran-data.table,
                r-cran-promises
-Standards-Version: 4.4.0
+Standards-Version: 4.4.1
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-plotly
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-plotly.git
 Homepage: https://cran.r-project.org/package=plotly

## r-cran-plotly 4.9.2%2Bdfsg

=== debian/tests/control ===
Tests: run-unit-test
Depends: @, r-cran-testthat, r-cran-rsclient, r-cran-sf, r-cran-maps, r-cran-png, r-cran-ggthemes
Restrictions: allow-stderr

## r-cran-plotly 4.9.2+dfsg

=== DESCRIPTION ===
Package: plotly
Title: Create Interactive Web Graphics via 'plotly.js'
Version: 4.9.2
Authors@R: c(person("Carson", "Sievert", role = c("aut", "cre"),
    email = "cpsievert1@gmail.com", comment = c(ORCID = "0000-0002-4958-2844")),
    person("Chris", "Parmer", role = "aut",
    email = "chris@plot.ly"),
    person("Toby", "Hocking", role = "aut",
    email = "tdhock5@gmail.com"),
    person("Scott", "Chamberlain", role = "aut",
    email = "myrmecocystus@gmail.com"),
    person("Karthik", "Ram", role = "aut",
    email = "karthik.ram@gmail.com"),
    person("Marianne", "Corvellec", role = "aut",
    email = "marianne.corvellec@igdore.org", comment = c(ORCID = "0000-0002-1994-3581")),
    person("Pedro", "Despouy", role = "aut",
    email = "pedro@plot.ly"),
    person("Plotly Technologies Inc.", role = "cph"))
License: MIT + file LICENSE
Description: Create interactive web graphics from 'ggplot2' graphs and/or a custom interface to the (MIT-licensed) JavaScript library 'plotly.js' inspired by the grammar of graphics.
URL: https://plotly-r.com, https://github.com/ropensci/plotly#readme,
        https://plot.ly/r
BugReports: https://github.com/ropensci/plotly/issues
Depends: R (>= 3.2.0), ggplot2 (>= 3.0.0)
Imports: tools, scales, httr, jsonlite (>= 1.6), magrittr, digest,
        viridisLite, base64enc, htmltools (>= 0.3.6), htmlwidgets (>=
        1.3), tidyr, hexbin, RColorBrewer, dplyr, tibble, lazyeval (>=
        0.2.0), rlang, crosstalk, purrr, data.table, promises
Suggests: MASS, maps, ggthemes, GGally, testthat, knitr, devtools,
        shiny (>= 1.1.0), shinytest (>= 1.3.0), curl, rmarkdown,
        vdiffr, Cairo, broom, webshot, listviewer, dendextend, sf,
        maptools, rgeos, png, IRdisplay, processx, plotlyGeoAssets,
        forcats
LazyData: true
RoxygenNote: 7.0.2
Encoding: UTF-8
NeedsCompilation: no
Packaged: 2020-02-12 15:47:51 UTC; cpsievert
Author: Carson Sievert [aut, cre] (<https://orcid.org/0000-0002-4958-2844>),
  Chris Parmer [aut],
  Toby Hocking [aut],
  Scott Chamberlain [aut],
  Karthik Ram [aut],
  Marianne Corvellec [aut] (<https://orcid.org/0000-0002-1994-3581>),
  Pedro Despouy [aut],
  Plotly Technologies Inc. [cph]
Maintainer: Carson Sievert <cpsievert1@gmail.com>
Repository: CRAN
Date/Publication: 2020-02-12 18:50:02 UTC

=== debian/changelog ===
r-cran-plotly (4.9.2+dfsg-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.5.0 (routine-update)
  * Set upstream metadata fields: Bug-Submit, Repository.

 -- Andreas Tille <tille@debian.org>  Wed, 19 Feb 2020 20:28:23 +0100

=== debian/control ===
--- 
+++ 
@@ -27,7 +27,7 @@
                r-cran-purrr,
                r-cran-data.table,
                r-cran-promises
-Standards-Version: 4.4.1
+Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-plotly
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-plotly.git
 Homepage: https://cran.r-project.org/package=plotly

## r-cran-plotly 4.9.2.1+dfsg

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: plotly
 Title: Create Interactive Web Graphics via 'plotly.js'
-Version: 4.9.2
+Version: 4.9.2.1
 Authors@R: c(person("Carson", "Sievert", role = c("aut", "cre"),
     email = "cpsievert1@gmail.com", comment = c(ORCID = "0000-0002-4958-2844")),
     person("Chris", "Parmer", role = "aut",
@@ -32,10 +32,10 @@
         maptools, rgeos, png, IRdisplay, processx, plotlyGeoAssets,
         forcats
 LazyData: true
-RoxygenNote: 7.0.2
+RoxygenNote: 7.1.0
 Encoding: UTF-8
 NeedsCompilation: no
-Packaged: 2020-02-12 15:47:51 UTC; cpsievert
+Packaged: 2020-04-04 18:46:43 UTC; cpsievert
 Author: Carson Sievert [aut, cre] (<https://orcid.org/0000-0002-4958-2844>),
   Chris Parmer [aut],
   Toby Hocking [aut],
@@ -46,4 +46,4 @@
   Plotly Technologies Inc. [cph]
 Maintainer: Carson Sievert <cpsievert1@gmail.com>
 Repository: CRAN
-Date/Publication: 2020-02-12 18:50:02 UTC
+Date/Publication: 2020-04-04 19:50:02 UTC

=== debian/changelog ===
r-cran-plotly (4.9.2.1+dfsg-2~bpo10+1) buster-backports; urgency=medium

  * Rebuild for buster-backports.

 -- Andreas Tille <tille@debian.org>  Wed, 23 Dec 2020 08:31:50 +0100

r-cran-plotly (4.9.2.1+dfsg-2) unstable; urgency=medium

  * Source upload in R 4.0 transition

 -- Andreas Tille <tille@debian.org>  Wed, 20 May 2020 09:50:02 +0200

r-cran-plotly (4.9.2.1+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Testsuite: autopkgtest-pkg-r (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)

 -- Dylan Aïssi <daissi@debian.org>  Tue, 07 Apr 2020 10:25:21 +0200

=== debian/control ===
--- 
+++ 
@@ -2,6 +2,7 @@
 Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
 Uploaders: Andreas Tille <tille@debian.org>
 Section: gnu-r
+Testsuite: autopkgtest-pkg-r
 Priority: optional
 Build-Depends: debhelper-compat (= 12),
                dh-r (>= 20180527),
@@ -31,6 +32,7 @@
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-plotly
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-plotly.git
 Homepage: https://cran.r-project.org/package=plotly
+Rules-Requires-Root: no
 
 Package: r-cran-plotly
 Architecture: all

## r-cran-plotly 4.9.3+dfsg

=== DESCRIPTION ===
Package: plotly
Title: Create Interactive Web Graphics via 'plotly.js'
Version: 4.9.3
Authors@R: c(person("Carson", "Sievert", role = c("aut", "cre"),
    email = "cpsievert1@gmail.com", comment = c(ORCID = "0000-0002-4958-2844")),
    person("Chris", "Parmer", role = "aut",
    email = "chris@plot.ly"),
    person("Toby", "Hocking", role = "aut",
    email = "tdhock5@gmail.com"),
    person("Scott", "Chamberlain", role = "aut",
    email = "myrmecocystus@gmail.com"),
    person("Karthik", "Ram", role = "aut",
    email = "karthik.ram@gmail.com"),
    person("Marianne", "Corvellec", role = "aut",
    email = "marianne.corvellec@igdore.org", comment = c(ORCID = "0000-0002-1994-3581")),
    person("Pedro", "Despouy", role = "aut",
    email = "pedro@plot.ly"),
    person("Salim", "Brüggemann", role = "ctb",
    email = "salim-b@pm.me", comment = c(ORCID = "0000-0002-5329-5987")),
    person("Plotly Technologies Inc.", role = "cph"))
License: MIT + file LICENSE
Description: Create interactive web graphics from 'ggplot2' graphs and/or a custom interface to the (MIT-licensed) JavaScript library 'plotly.js' inspired by the grammar of graphics.
URL: https://plotly-r.com, https://github.com/ropensci/plotly#readme,
        https://plotly.com/r/
BugReports: https://github.com/ropensci/plotly/issues
Depends: R (>= 3.2.0), ggplot2 (>= 3.0.0)
Imports: tools, scales, httr (>= 1.3.0), jsonlite (>= 1.6), magrittr,
        digest, viridisLite, base64enc, htmltools (>= 0.3.6),
        htmlwidgets (>= 1.5.2.9001), tidyr, RColorBrewer, dplyr, vctrs,
        tibble, lazyeval (>= 0.2.0), rlang, crosstalk, purrr,
        data.table, promises
Suggests: MASS, maps, hexbin, ggthemes, GGally, testthat, knitr,
        devtools, shiny (>= 1.1.0), shinytest (>= 1.3.0), curl,
        rmarkdown, vdiffr, Cairo, broom, webshot, listviewer,
        dendextend, sf, maptools, rgeos, png, IRdisplay, processx,
        plotlyGeoAssets, forcats, palmerpenguins
LazyData: true
RoxygenNote: 7.1.1
Encoding: UTF-8
NeedsCompilation: no
Packaged: 2021-01-04 18:33:10 UTC; cpsievert
Author: Carson Sievert [aut, cre] (<https://orcid.org/0000-0002-4958-2844>),
  Chris Parmer [aut],
  Toby Hocking [aut],
  Scott Chamberlain [aut],
  Karthik Ram [aut],
  Marianne Corvellec [aut] (<https://orcid.org/0000-0002-1994-3581>),
  Pedro Despouy [aut],
  Salim Brüggemann [ctb] (<https://orcid.org/0000-0002-5329-5987>),
  Plotly Technologies Inc. [cph]
Maintainer: Carson Sievert <cpsievert1@gmail.com>
Repository: CRAN
Date/Publication: 2021-01-10 14:30:02 UTC

=== debian/changelog ===
r-cran-plotly (4.9.3+dfsg-2) unstable; urgency=medium

  * Test-Depends: r-cran-hexbin
    Closes: #983315

 -- Andreas Tille <tille@debian.org>  Mon, 22 Feb 2021 13:53:56 +0100

r-cran-plotly (4.9.3+dfsg-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.5.1 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Fix versioned Build-Depends: r-cran-htmlwidgets (>= 1.5.3)
  * Remove tests referencing this palmerpenguins package
  * Add more Test-Depends

 -- Andreas Tille <tille@debian.org>  Tue, 12 Jan 2021 11:49:32 +0100

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Section: gnu-r
 Testsuite: autopkgtest-pkg-r
 Priority: optional
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                dh-r (>= 20180527),
                r-base-dev,
                r-cran-ggplot2 (>= 3.0.0),
@@ -16,7 +16,7 @@
                r-cran-viridislite,
                r-cran-base64enc,
                r-cran-htmltools (>= 0.3.6),
-               r-cran-htmlwidgets (>= 1.3),
+               r-cran-htmlwidgets (>= 1.5.3),
                r-cran-tidyr,
                r-cran-hexbin,
                r-cran-rcolorbrewer,
@@ -28,7 +28,7 @@
                r-cran-purrr,
                r-cran-data.table,
                r-cran-promises
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-plotly
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-plotly.git
 Homepage: https://cran.r-project.org/package=plotly

=== debian/tests/control ===
Tests: run-unit-test
Depends: @, r-cran-testthat,
            r-cran-ggthemes,
            r-cran-hexbin,
            r-cran-maps,
            r-cran-maptools,
            r-cran-png,
            r-cran-quantreg,
            r-cran-reshape2,
            r-cran-rsclient,
            r-cran-sf
Restrictions: allow-stderr

## r-cran-plotly 4.10.0+dfsg

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: plotly
 Title: Create Interactive Web Graphics via 'plotly.js'
-Version: 4.9.3
+Version: 4.10.0
 Authors@R: c(person("Carson", "Sievert", role = c("aut", "cre"),
     email = "cpsievert1@gmail.com", comment = c(ORCID = "0000-0002-4958-2844")),
     person("Chris", "Parmer", role = "aut",
@@ -20,25 +20,25 @@
     person("Plotly Technologies Inc.", role = "cph"))
 License: MIT + file LICENSE
 Description: Create interactive web graphics from 'ggplot2' graphs and/or a custom interface to the (MIT-licensed) JavaScript library 'plotly.js' inspired by the grammar of graphics.
-URL: https://plotly-r.com, https://github.com/ropensci/plotly#readme,
+URL: https://plotly-r.com, https://github.com/plotly/plotly.R,
         https://plotly.com/r/
-BugReports: https://github.com/ropensci/plotly/issues
+BugReports: https://github.com/plotly/plotly.R/issues
 Depends: R (>= 3.2.0), ggplot2 (>= 3.0.0)
 Imports: tools, scales, httr (>= 1.3.0), jsonlite (>= 1.6), magrittr,
         digest, viridisLite, base64enc, htmltools (>= 0.3.6),
-        htmlwidgets (>= 1.5.2.9001), tidyr, RColorBrewer, dplyr, vctrs,
-        tibble, lazyeval (>= 0.2.0), rlang, crosstalk, purrr,
-        data.table, promises
+        htmlwidgets (>= 1.5.2.9001), tidyr (>= 1.0.0), RColorBrewer,
+        dplyr, vctrs, tibble, lazyeval (>= 0.2.0), rlang (>= 0.4.10),
+        crosstalk, purrr, data.table, promises
 Suggests: MASS, maps, hexbin, ggthemes, GGally, testthat, knitr,
         devtools, shiny (>= 1.1.0), shinytest (>= 1.3.0), curl,
-        rmarkdown, vdiffr, Cairo, broom, webshot, listviewer,
-        dendextend, sf, maptools, rgeos, png, IRdisplay, processx,
-        plotlyGeoAssets, forcats, palmerpenguins
+        rmarkdown, Cairo, broom, webshot, listviewer, dendextend,
+        maptools, rgeos, sf, png, IRdisplay, processx, plotlyGeoAssets,
+        forcats, palmerpenguins, rversions, reticulate
 LazyData: true
-RoxygenNote: 7.1.1
+RoxygenNote: 7.1.2
 Encoding: UTF-8
 NeedsCompilation: no
-Packaged: 2021-01-04 18:33:10 UTC; cpsievert
+Packaged: 2021-10-08 19:08:31 UTC; cpsievert
 Author: Carson Sievert [aut, cre] (<https://orcid.org/0000-0002-4958-2844>),
   Chris Parmer [aut],
   Toby Hocking [aut],
@@ -50,4 +50,4 @@
   Plotly Technologies Inc. [cph]
 Maintainer: Carson Sievert <cpsievert1@gmail.com>
 Repository: CRAN
-Date/Publication: 2021-01-10 14:30:02 UTC
+Date/Publication: 2021-10-09 21:10:07 UTC

=== debian/changelog ===
r-cran-plotly (4.10.0+dfsg-1) unstable; urgency=medium

  * Disable reprotest
  * New upstream version
  * dh-update-R to update Build-Depends (routine-update)
  * Remove constraints unnecessary since buster:
    + Build-Depends: Drop versioned constraint on r-cran-htmlwidgets,
      r-cran-rlang and r-cran-tidyr.
  * Test-Depends: r-cran-rversions

 -- Andreas Tille <tille@debian.org>  Fri, 15 Oct 2021 17:40:49 +0200

r-cran-plotly (4.9.4.1+dfsg-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.0 (routine-update)

 -- Andreas Tille <tille@debian.org>  Mon, 30 Aug 2021 08:34:38 +0200

=== debian/control ===
--- 
+++ 
@@ -5,22 +5,22 @@
 Testsuite: autopkgtest-pkg-r
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
-               dh-r (>= 20180527),
+               dh-r,
                r-base-dev,
-               r-cran-ggplot2 (>= 3.0.0),
+               r-cran-ggplot2,
                r-cran-scales,
                r-cran-httr,
-               r-cran-jsonlite (>= 1.6),
+               r-cran-jsonlite,
                r-cran-magrittr,
                r-cran-digest,
                r-cran-viridislite,
                r-cran-base64enc,
-               r-cran-htmltools (>= 0.3.6),
-               r-cran-htmlwidgets (>= 1.5.3),
+               r-cran-htmltools,
+               r-cran-htmlwidgets,
                r-cran-tidyr,
-               r-cran-hexbin,
                r-cran-rcolorbrewer,
                r-cran-dplyr,
+               r-cran-vctrs,
                r-cran-tibble,
                r-cran-lazyeval,
                r-cran-rlang,
@@ -28,7 +28,7 @@
                r-cran-purrr,
                r-cran-data.table,
                r-cran-promises
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-plotly
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-plotly.git
 Homepage: https://cran.r-project.org/package=plotly

=== debian/tests/control ===
--- 
+++ 
@@ -8,7 +8,8 @@
             r-cran-quantreg,
             r-cran-reshape2,
             r-cran-rsclient,
-            r-cran-sf
+            r-cran-sf,
+            r-cran-rversions
 Restrictions: allow-stderr

## r-cran-plotly 4.10.1+dfsg

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: plotly
 Title: Create Interactive Web Graphics via 'plotly.js'
-Version: 4.10.0
+Version: 4.10.1
 Authors@R: c(person("Carson", "Sievert", role = c("aut", "cre"),
     email = "cpsievert1@gmail.com", comment = c(ORCID = "0000-0002-4958-2844")),
     person("Chris", "Parmer", role = "aut",
@@ -29,16 +29,16 @@
         htmlwidgets (>= 1.5.2.9001), tidyr (>= 1.0.0), RColorBrewer,
         dplyr, vctrs, tibble, lazyeval (>= 0.2.0), rlang (>= 0.4.10),
         crosstalk, purrr, data.table, promises
-Suggests: MASS, maps, hexbin, ggthemes, GGally, testthat, knitr,
-        devtools, shiny (>= 1.1.0), shinytest (>= 1.3.0), curl,
+Suggests: MASS, maps, hexbin, ggthemes, GGally, ggalluvial, testthat,
+        knitr, devtools, shiny (>= 1.1.0), shinytest (>= 1.3.0), curl,
         rmarkdown, Cairo, broom, webshot, listviewer, dendextend,
         maptools, rgeos, sf, png, IRdisplay, processx, plotlyGeoAssets,
-        forcats, palmerpenguins, rversions, reticulate
+        forcats, palmerpenguins, rversions, reticulate, rsvg
 LazyData: true
-RoxygenNote: 7.1.2
+RoxygenNote: 7.2.1
 Encoding: UTF-8
 NeedsCompilation: no
-Packaged: 2021-10-08 19:08:31 UTC; cpsievert
+Packaged: 2022-11-04 22:38:43 UTC; cpsievert
 Author: Carson Sievert [aut, cre] (<https://orcid.org/0000-0002-4958-2844>),
   Chris Parmer [aut],
   Toby Hocking [aut],
@@ -50,4 +50,4 @@
   Plotly Technologies Inc. [cph]
 Maintainer: Carson Sievert <cpsievert1@gmail.com>
 Repository: CRAN
-Date/Publication: 2021-10-09 21:10:07 UTC
+Date/Publication: 2022-11-07 07:30:03 UTC

=== debian/changelog ===
r-cran-plotly (4.10.1+dfsg-2) unstable; urgency=medium

  * Just ignore two failing tests which deal with deprecated features
  * Standards-Version: 4.6.2 (routine-update)
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository-Browse.

 -- Andreas Tille <tille@debian.org>  Tue, 10 Jan 2023 19:56:50 +0100

r-cran-plotly (4.10.1+dfsg-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.1 (routine-update)
  * dh-update-R to update Build-Depends (routine-update)
  * Fix lintian-overrides

 -- Andreas Tille <tille@debian.org>  Tue, 15 Nov 2022 12:15:25 +0100

=== debian/control ===
--- 
+++ 
@@ -16,19 +16,19 @@
                r-cran-viridislite,
                r-cran-base64enc,
                r-cran-htmltools,
-               r-cran-htmlwidgets,
-               r-cran-tidyr,
+               r-cran-htmlwidgets (>= 1.5.2.9001),
+               r-cran-tidyr (>= 1.0.0),
                r-cran-rcolorbrewer,
                r-cran-dplyr,
                r-cran-vctrs,
                r-cran-tibble,
                r-cran-lazyeval,
-               r-cran-rlang,
+               r-cran-rlang (>= 0.4.10),
                r-cran-crosstalk,
                r-cran-purrr,
                r-cran-data.table,
                r-cran-promises
-Standards-Version: 4.6.0
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-plotly
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-plotly.git
 Homepage: https://cran.r-project.org/package=plotly

## r-cran-plotly 4.10.2+dfsg

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: plotly
 Title: Create Interactive Web Graphics via 'plotly.js'
-Version: 4.10.1
+Version: 4.10.2
 Authors@R: c(person("Carson", "Sievert", role = c("aut", "cre"),
     email = "cpsievert1@gmail.com", comment = c(ORCID = "0000-0002-4958-2844")),
     person("Chris", "Parmer", role = "aut",
@@ -30,15 +30,16 @@
         dplyr, vctrs, tibble, lazyeval (>= 0.2.0), rlang (>= 0.4.10),
         crosstalk, purrr, data.table, promises
 Suggests: MASS, maps, hexbin, ggthemes, GGally, ggalluvial, testthat,
-        knitr, devtools, shiny (>= 1.1.0), shinytest (>= 1.3.0), curl,
-        rmarkdown, Cairo, broom, webshot, listviewer, dendextend,
-        maptools, rgeos, sf, png, IRdisplay, processx, plotlyGeoAssets,
-        forcats, palmerpenguins, rversions, reticulate, rsvg
+        knitr, shiny (>= 1.1.0), shinytest (>= 1.3.0), curl, rmarkdown,
+        Cairo, broom, webshot, listviewer, dendextend, maptools, rgeos,
+        sf, png, IRdisplay, processx, plotlyGeoAssets, forcats,
+        palmerpenguins, rversions, reticulate, rsvg
 LazyData: true
-RoxygenNote: 7.2.1
+RoxygenNote: 7.2.3
 Encoding: UTF-8
+Config/Needs/check: rcmdcheck, devtools, reshape2
 NeedsCompilation: no
-Packaged: 2022-11-04 22:38:43 UTC; cpsievert
+Packaged: 2023-06-03 15:03:07 UTC; cpsievert
 Author: Carson Sievert [aut, cre] (<https://orcid.org/0000-0002-4958-2844>),
   Chris Parmer [aut],
   Toby Hocking [aut],
@@ -50,4 +51,4 @@
   Plotly Technologies Inc. [cph]
 Maintainer: Carson Sievert <cpsievert1@gmail.com>
 Repository: CRAN
-Date/Publication: 2022-11-07 07:30:03 UTC
+Date/Publication: 2023-06-03 16:40:02 UTC

=== debian/changelog ===
r-cran-plotly (4.10.2+dfsg-2) unstable; urgency=medium

  * Rebuild with r-graphics-engine set by r-base
    Closes: #1039880 

 -- Andreas Tille <tille@debian.org>  Thu, 06 Jul 2023 09:59:33 +0200

r-cran-plotly (4.10.2+dfsg-1) unstable; urgency=medium

  * New upstream version
  * dh-update-R to update Build-Depends (routine-update)
  * Set upstream metadata fields: Repository.
  * Remove constraints unnecessary since bullseye (oldstable):
    + Build-Depends: Drop versioned constraint on r-cran-htmlwidgets (>=
      1.5.2.9001).
  * Drop unneeded patches

 -- Andreas Tille <tille@debian.org>  Mon, 26 Jun 2023 14:02:06 +0200

## r-cran-plotly 4.10.4%2Bdfsg

=== debian/control ===
--- 
+++ 
@@ -16,19 +16,19 @@
                r-cran-viridislite,
                r-cran-base64enc,
                r-cran-htmltools,
-               r-cran-htmlwidgets (>= 1.5.2.9001),
-               r-cran-tidyr (>= 1.0.0),
+               r-cran-htmlwidgets,
+               r-cran-tidyr,
                r-cran-rcolorbrewer,
                r-cran-dplyr,
                r-cran-vctrs,
                r-cran-tibble,
                r-cran-lazyeval,
-               r-cran-rlang (>= 0.4.10),
+               r-cran-rlang,
                r-cran-crosstalk,
                r-cran-purrr,
                r-cran-data.table,
                r-cran-promises
-Standards-Version: 4.6.2
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-plotly
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-plotly.git
 Homepage: https://cran.r-project.org/package=plotly

## r-cran-plotly 4.10.4+dfsg

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: plotly
 Title: Create Interactive Web Graphics via 'plotly.js'
-Version: 4.10.2
+Version: 4.10.4
 Authors@R: c(person("Carson", "Sievert", role = c("aut", "cre"),
     email = "cpsievert1@gmail.com", comment = c(ORCID = "0000-0002-4958-2844")),
     person("Chris", "Parmer", role = "aut",
@@ -31,15 +31,15 @@
         crosstalk, purrr, data.table, promises
 Suggests: MASS, maps, hexbin, ggthemes, GGally, ggalluvial, testthat,
         knitr, shiny (>= 1.1.0), shinytest (>= 1.3.0), curl, rmarkdown,
-        Cairo, broom, webshot, listviewer, dendextend, maptools, rgeos,
-        sf, png, IRdisplay, processx, plotlyGeoAssets, forcats,
+        Cairo, broom, webshot, listviewer, dendextend, sf, png,
+        IRdisplay, processx, plotlyGeoAssets, forcats, withr,
         palmerpenguins, rversions, reticulate, rsvg
 LazyData: true
 RoxygenNote: 7.2.3
 Encoding: UTF-8
-Config/Needs/check: rcmdcheck, devtools, reshape2
+Config/Needs/check: tidyverse/ggplot2, rcmdcheck, devtools, reshape2
 NeedsCompilation: no
-Packaged: 2023-06-03 15:03:07 UTC; cpsievert
+Packaged: 2024-01-13 20:51:33 UTC; cpsievert
 Author: Carson Sievert [aut, cre] (<https://orcid.org/0000-0002-4958-2844>),
   Chris Parmer [aut],
   Toby Hocking [aut],
@@ -51,4 +51,4 @@
   Plotly Technologies Inc. [cph]
 Maintainer: Carson Sievert <cpsievert1@gmail.com>
 Repository: CRAN
-Date/Publication: 2023-06-03 16:40:02 UTC
+Date/Publication: 2024-01-13 22:40:02 UTC

=== inst/examples/shiny/event_data_click/DESCRIPTION ===
Title: Passing plotly selections to shiny via crosstalk
Author: Plotly, Inc.
AuthorUrl: https://plotly.com/r/
License: MIT
DisplayMode: Showcase
Tags: plotly, crosstalk, shiny
Type: Shiny

=== debian/changelog ===
r-cran-plotly (4.10.4+dfsg-4) unstable; urgency=medium

  * Team upload.
  * Re-add test-depend on r-cran-dendextend.
  * Standards-Version: 4.7.2 (no changes needed)

 -- Rebecca N. Palmer <rebecca_palmer@zoho.com>  Fri, 15 Aug 2025 17:45:25 +0100

r-cran-plotly (4.10.4+dfsg-3) unstable; urgency=medium

  * Team upload.
  * Don't test-depend on r-cran-dendextend. (Closes: #1104338)

 -- Rebecca N. Palmer <rebecca_palmer@zoho.com>  Tue, 29 Apr 2025 12:52:05 +0100

r-cran-plotly (4.10.4+dfsg-2) unstable; urgency=medium

  * Refresh plotly.js
    Closes: #1061828
  * Add simple test script debian/JS/plotly/test_plotly

 -- Andreas Tille <tille@debian.org>  Thu, 01 Feb 2024 08:23:48 +0100

r-cran-plotly (4.10.4+dfsg-1) unstable; urgency=medium

  * New upstream version
  * dh-update-R to update Build-Depends (routine-update)
  * Remove constraints unnecessary since bullseye (oldstable):
    + Build-Depends: Drop versioned constraint on r-cran-htmlwidgets (>=
      1.5.2.9001).

 -- Andreas Tille <tille@debian.org>  Thu, 18 Jan 2024 13:35:27 +0100

r-cran-plotly (4.10.3+dfsg-1) unstable; urgency=medium

  * New upstream version
  * dh-update-R to update Build-Depends (routine-update)
  * Remove trailing whitespace in debian/changelog (routine-update)
  * Remove constraints unnecessary since bullseye (oldstable):
    + Build-Depends: Drop versioned constraint on r-cran-htmlwidgets (>=
      1.5.2.9001).

 -- Andreas Tille <tille@debian.org>  Tue, 24 Oct 2023 11:35:52 +0200

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dh-r/r-cran.mk

%:
	dh $@ --buildsystem R

override_dh_install:
	dh_install
	cp -a debian/JS/plotly/plotly.min.js debian/$(DEB_SOURCE)/$(debRdir)/$(cranNameOrig)/htmlwidgets/lib/plotlyjs/plotly-latest.min.js

=== debian/watch ===
version=4

opts="repacksuffix=+dfsg,dversionmangle=s/\+dfsg[0-9]*//g,repack,compression=xz" \
  https://cran.r-project.org/src/contrib/plotly_([-\d.]*)\.tar\.gz
